1. Got a question or need help troubleshooting? Post to the troubleshooting forum or Search the forums!

Solved Error in Arduino

Discussion in 'Troubleshooting' started by Jake Ciasca, Jul 4, 2020.

  1. Jake Ciasca

    Jake Ciasca Member

    Joined:
    Dec 31, 2017
    Messages:
    38
    Likes Received:
    4
    I'm getting an error in arduino trying to compile the firmware to the board and I have no idea what it means or how to fix it, does anybody know? Here is the error message.

    This report would have more information with
    "Show verbose output during compilation"
    enabled in File > Preferences.
    Arduino: 1.0.6 (Windows NT (unknown)), Board: "Arduino Mega 2560 or Mega ADK"
    In file included from /dogm_lcd_implementation.h:38,
    from ultralcd.cpp:36:
    dogm_font_data_marlin.h:13: error: 'u8g_fntpgm_uint8_t' does not name a type
    dogm_font_data_marlin.h:172: error: 'u8g_fntpgm_uint8_t' does not name a type
    In file included from /dogm_lcd_implementation.h:40,
    from ultralcd.cpp:36:
    ultralcd_st7920_u8glib_rrd.h:43: error: 'u8g_t' was not declared in this scope
    ultralcd_st7920_u8glib_rrd.h:43: error: 'u8g' was not declared in this scope
    ultralcd_st7920_u8glib_rrd.h:43: error: 'u8g_dev_t' was not declared in this scope
    ultralcd_st7920_u8glib_rrd.h:43: error: 'dev' was not declared in this scope
    ultralcd_st7920_u8glib_rrd.h:43: error: expected primary-expression before 'msg'
    ultralcd_st7920_u8glib_rrd.h:43: error: expected primary-expression before 'void'
    ultralcd_st7920_u8glib_rrd.h:43: error: initializer expression list treated as compound expression
    ultralcd_st7920_u8glib_rrd.h:44: error: expected ',' or ';' before '{' token

    Here is a picture of the screen:
    Untitled.png
     
  2. mark tomlinson

    mark tomlinson ༼ つ ◕_ ◕ ༽つ
    Staff Member

    Joined:
    Feb 21, 2013
    Messages:
    22,446
    Likes Received:
    7,187
    Well, do you have the Full Graphics LCD installed?
    If so you need to include the library (u8g) which is best downloaded from here and then added to the project:

    https://www.arduinolibraries.info/libraries/u8glib

    If you are not using the full graphics LCD then your configuration.h you are trying to compile is not correct. You need to comment out the lines for the full graphic LCD and then you can compile without needing U8Glib

    (as an aside that seems to be a rather old version of the Arduino compiler too. I know some folks want to use it because later versions generate errors with the older Robo r1 source, but the FAQ thread in the forum has the fix to make the older R1 source work with the newer compilers. )
     
  3. Jake Ciasca

    Jake Ciasca Member

    Joined:
    Dec 31, 2017
    Messages:
    38
    Likes Received:
    4
    How would I add that to the project?
     
  4. mark tomlinson

    mark tomlinson ༼ つ ◕_ ◕ ༽つ
    Staff Member

    Joined:
    Feb 21, 2013
    Messages:
    22,446
    Likes Received:
    7,187
  5. Jake Ciasca

    Jake Ciasca Member

    Joined:
    Dec 31, 2017
    Messages:
    38
    Likes Received:
    4
    Could you link the thread to where I could get the newer arduino software and make it work with the r1 firmware because when I got my lcd screen and was trying to turn it on in the firmware it got me very frustrated trying to figure out why it wasn't compiling.
     
  6. Jake Ciasca

    Jake Ciasca Member

    Joined:
    Dec 31, 2017
    Messages:
    38
    Likes Received:
    4
    Installing that library seemed to work, since this is a fresh download onto a new desktop that's why I probably didn't have it.
     
    mark tomlinson likes this.
  7. mark tomlinson

    mark tomlinson ༼ つ ◕_ ◕ ༽つ
    Staff Member

    Joined:
    Feb 21, 2013
    Messages:
    22,446
    Likes Received:
    7,187
  8. mark tomlinson

    mark tomlinson ༼ つ ◕_ ◕ ༽つ
    Staff Member

    Joined:
    Feb 21, 2013
    Messages:
    22,446
    Likes Received:
    7,187
    Essentially there are two files in the Marlin source for the Robo R1/R1+ firmware that have to be updated for the new compiler to work and they are attached as a zip file to that post I pointed you to. Extract them and overwrite the existing two files and the new compiler should be fine.
     

Share This Page